I have a cisco 3845 with (C3845-ADVIPSERVICESK9-M), Version 12.4(9)T5 I wondering what IOS I should upgrade to.

I have a cisco 3845 with (C3845-ADVIPSERVICESK9-M), Version 12.4(9)T5  I wondering what IOS I should upgrade to.  
LVL 1
CpTnCuRtAsked:
Who is Participating?
 
that1guy15Commented:
Well it all depends on the features you want. Give a little more detail on what you are looking for and we should be able to help. 12.4(9) is pretty recent and advanced ip services has the majority of the services that are offered so you already have a good current IOS loaded.
You can also check out the IOS feature navigator to see what options you have and what IOS versions support what.
 http://tools.cisco.com/ITDIT/CFN/jsp/index.jsp
0
 
CpTnCuRtAuthor Commented:
I have the security bundle which has the VPN card.  The reason I'm upgrading is  I have a hwic-2fe and a DSU card that aren't being recognized and I know support was added with 12.4.(15)  

I'm must not sure which one to use to work with the VNP. And there is also the 15.1.1 that I'm not sure if that just a newer version of the 12.4

Thanks for you help
0
 
CpTnCuRtAuthor Commented:
Here is some of my info

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
sh ver

Cisco IOS Software, 3800 Software (C3845-ADVIPSERVICESK9-M), Version 12.4(9)T5,
RELEASE SOFTWARE (fc2)
Technical Support: http://www.cisco.com/techsupport
Copyright (c) 1986-2007 by Cisco Systems, Inc.
Compiled Thu 16-Aug-07 17:56 by prod_rel_team

ROM: System Bootstrap, Version 12.4(13r)T, RELEASE SOFTWARE (fc1)

******** uptime is 45 minutes
System returned to ROM by power-on
System image file is "flash:c3845-advipservicesk9-mz.124-9.T5.bin"


This product contains cryptographic features and is subject to United
States and local country laws governing import, export, transfer and
use. Delivery of Cisco cryptographic products does not imply
third-party authority to import, export, distribute or use encryption.
Importers, exporters, distributors and users are responsible for
compliance with U.S. and local country laws. By using this product you
agree to comply with applicable laws and regulations. If you are unable
to comply with U.S. and local laws, return this product immediately.

A summary of U.S. laws governing Cisco cryptographic products may be found at:
http://www.cisco.com/wwl/export/crypto/tool/stqrg.html

If you require further assistance please contact us by sending email to
export@cisco.com.

Cisco 3845 (revision 1.0) with 484352K/39936K bytes of memory.
Processor board ID FTX1141A2BK
2 Gigabit Ethernet interfaces
2 Virtual Private Network (VPN) Modules
DRAM configuration is 64 bits wide with parity enabled.
479K bytes of NVRAM.
125440K bytes of ATA System CompactFlash (Read/Write)

Configuration register is 0x2102

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~


sh flash: all
-#- --length-- -----date/time------ path
1     41053696 Oct 10 2007 04:15:20 -08:00 c3845-advipservicesk9-mz.124-9.T5.bin
2         1826 Oct 10 2007 04:24:28 -08:00 sdmconfig-38xx.cfg
3      6036480 Oct 10 2007 04:25:02 -08:00 sdm.tar
4       861696 Oct 10 2007 04:25:18 -08:00 es.tar
5      1164288 Oct 10 2007 04:25:38 -08:00 common.tar
6         1038 Oct 10 2007 04:25:54 -08:00 home.shtml
7       113152 Oct 10 2007 04:26:08 -08:00 home.tar
8       793739 Oct 10 2007 04:26:26 -08:00 256MB.sdf
9      1697952 Oct 10 2007 04:26:50 -08:00 securedesktop-ios-3.1.1.45-k9.pkg
10      416354 Oct 10 2007 04:27:10 -08:00 sslclient-win-1.1.3.173.pkg

76017664 bytes available (52158464 bytes used)

******** ATA Flash Card Geometry/Format Info ********

ATA CARD GEOMETRY
   Number of Heads:       8
   Number of Cylinders    980
   Sectors per Cylinder   32
   Sector Size            512
   Total Sectors          250880

ATA CARD FORMAT
   Number of FAT Sectors  123
   Sectors Per Cluster    8
   Number of Clusters     31293
   Number of Data Sectors 250737
   Base Root Sector       357
   Base FAT Sector        111
   Base Data Sector       389

ATA MONLIB INFO
   Image Monlib size = 52600
   Disk monlib size = 56832
   Name = piptom-atafslib-m
   Monlib Start sector = 2
   Monlib End sector = 104
   Monlib updated by = C3845-IPBASE-M12.3(14)T1
   Monlib version = 1
0
Network Scalability - Handle Complex Environments

Monitor your entire network from a single platform. Free 30 Day Trial Now!

 
that1guy15Commented:
"And there is also the 15.1.1 that I'm not sure if that just a newer version of the 12.4"

No, 15.1.1 is the new IOS version above 12. Personal i would stay away from it for a while since it just came out within the past 3 months. At minimum run it on a few lab routers to make sure it works with all the features you need. Just my opinion though.
 
 What are the specific cards that are not being recognized?
0
 
that1guy15Commented:
Assuming you have a smartnet contract you should be able to upgrade to the latest version of the advipservices IOS without any additional charge. This image looks to support the VPN features you mentioned as well. If the two cards you are working with are supported starting with 12.4(15) then I would at least upgrade to that version.
using the feature navigator i mentioned before it looks like you can go to 12.4(25b). 15 is also an option but as i mentioned before I would stay away from it for a while. Let all the bugs get worked out first.
 
0
 
CpTnCuRtAuthor Commented:
Ya I agree,  I don't like running an OS that quick.

the Cards are  a   HWIC-2FE    and    HWIC-1DS-T1

0
 
CpTnCuRtAuthor Commented:
Ah, I miss the http://tools.cisco.com/ITDIT/CFN/jsp/index.jsp link.

So are the feature that come up below all the features that are included with that realse.

Also, I found my version 12.4(9)T5   under 12.4T.  Am I correct in assuming that the 12.4T is realse and the (##)T# is the revision?
0
 
that1guy15Commented:
yeah looks like the minimum IOS is 12.4(15) for these two cards. So I would upgrade to atleast that version of the advipservices IOS.
you are looking for "c3845-advipservicesk9-mz.124-15.T"
0
 
that1guy15Commented:
yes all the features listed below are what that image/version supports.
"Also, I found my version 12.4(9)T5   under 12.4T.  Am I correct in assuming that the 12.4T is realse and the (##)T# is the revision?"
Correct
0
 
CpTnCuRtAuthor Commented:
Using that tool it looks like 12.4(15)T11  seems to be the closes match.  It does have some differences but it seems to have the least differances.  
0
Question has a verified solution.

Are you are experiencing a similar issue? Get a personalized answer when you ask a related question.

Have a better answer? Share it in a comment.

All Courses

From novice to tech pro — start learning today.